
Redmine - Defect #35669

Prints of Issues Report details are messed-up due to the size of the graphs

2021-08-03 00:56 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version: 4.1.5   

Resolution:  Affected version: 4.1.0

Description

When printing the Issues Report details I get lots of unwanted pages due to the large graphs (graph sizes should additionally be

decreased independent of this issue, though [see #35670]) that are beneath the table. And the graphs that are actually printed are

messed-up due to their size too.

I think the best solution currently is to hide the charts when printing, like so:

diff --git a/app/views/reports/_details.html.erb b/app/views/reports/_details.html.erb

index 9b8f3b5e5..701591c74 100644

--- a/app/views/reports/_details.html.erb

+++ b/app/views/reports/_details.html.erb

@@ -25,10 +25,10 @@

 <% end %>

 </tbody>

 </table>

-<div class="issue-report-graph">

+<div class="issue-report-graph hide-when-print">

   <canvas id="issues_by_<%= params[:detail] %>"></canvas>

 </div>

-<div class="issue-report-graph">

+<div class="issue-report-graph hide-when-print">

   <canvas id="issues_by_status"></canvas>

 </div>

 <%= javascript_tag do %>

Related issues:

Related to Redmine - Defect #35670: Graphs in the Issues Report details are t... New

Related to Redmine - Feature #31418: Stacked bar charts in the issue details ... Closed

Associated revisions

Revision 21202 - 2021-08-28 09:04 - Go MAEDA

Hide graphs when printing the Issues Report details (#35669).

Patch by Mischa The Evil.

Revision 21205 - 2021-09-04 06:29 - Go MAEDA

Merged r21202 from trunk to 4.2-stable (#35669).

Revision 21206 - 2021-09-04 06:30 - Go MAEDA

Merged r21202 from trunk to 4.1-stable (#35669).

History

#1 - 2021-08-03 00:59 - Mischa The Evil

- File 0001-Issue-Report-details-Hide-charts-when-printing.patch added

- Description updated

#2 - 2021-08-03 01:05 - Mischa The Evil

- Related to Defect #35670: Graphs in the Issues Report details are too large. added
#3 - 2021-08-03 01:06 - Mischa The Evil

- Description updated

#4 - 2021-08-03 01:06 - Mischa The Evil

- Related to Feature #31418: Stacked bar charts in the issue details report added

#5 - 2021-08-24 04:04 - Go MAEDA

- Target version set to 4.1.5

Setting the target version to 4.1.5.

#6 - 2021-08-28 09:04 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

#7 - 2021-09-04 06:30 - Go MAEDA

- Status changed from Resolved to Closed

Committed the patch. Thank you.

Files

0001-Issue-Report-details-Hide-charts-when-printing.patch 931 Bytes 2021-08-02 Mischa The Evil
